Arg< T > Class Template Reference

`#include <Arg.h>`

## Public Member Functions

| Arg (void)
| Arg (T v, bool setbyuser=true)
T | getValue (void) const
void | setValue (T v, bool setbyuser=true)
bool | is_set (void) const

## Private Attributes

T | Value
bool | set

## Constructor & Destructor Documentation

## Arg() [1/2]

template<class T>

Arg< T >::Arg | ( | void |  | ) |

inline

## Arg() [2/2]

template<class T>

Arg< T >::Arg | ( | T | v,
|  | bool | setbyuser = true )

## Member Function Documentation

## getValue()

template<class T>

T Arg< T >::getValue | ( | void |  | ) | const

inline

## is_set()

template<class T>

bool Arg< T >::is_set | ( | void |  | ) | const

inline

## setValue()

template<class T>

void Arg< T >::setValue | ( | T | v,
|  | bool | setbyuser = true )

## Member Data Documentation

## set

template<class T>

bool Arg< T >::set

private

## Value

template<class T>

T Arg< T >::Value

private

The documentation for this class was generated from the following files:

- Arg.h
- Arg.cc